#ifndef TMHistogrammingFastorInnerVsOuter_H
#define TMHistogrammingFastorInnerVsOuter_H

#include "TMHistogramming.h"

class TH2F;

class TMHistogrammingFastorInnerVsOuter : public TMHistogramming {
 public:
  TMHistogrammingFastorInnerVsOuter();
  virtual ~TMHistogrammingFastorInnerVsOuter();
  
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void RebinHisto();
  virtual void CreateHisto();

 protected:
  TH2F    *fTheHisto;
  Int_t fRangeX;
  Int_t fRangeY;

};

#endif
